package com.prolog.cs.biz.inbound.vo;

import com.prolog.cs.biz.inbound.dto.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@ApiModel
public class RcvLinesQueryVO extends PageParam implements Serializable {
	private static final long serialVersionUID = -5073733806243305399L;

	@ApiModelProperty(value = "收货单头主键id")
	private String rcvHeaderId;

	@ApiModelProperty(value = "商品ID",required = true)
	private String itemId;

	@ApiModelProperty(value = "批次号")
	private String batchNum;

	@ApiModelProperty(value = "来源单ID列表(ASN)", hidden = true)
	private String srcAsnHeaderId;

	@ApiModelProperty(value = "收货结论(conclusion)")
	private String rcvStockStatus;

	@ApiModelProperty(value = "企业id")
	private String enterpriseId;

	@ApiModelProperty(value = "货主ID")
	private String mtlOwnerId;

	@ApiModelProperty(value = "仓库ID")
	private String warehouseId;

	@ApiModelProperty(value = "生产批号(模糊)")
	private String manufacturerLotNum;

	@ApiModelProperty(value = "包含的明细id列表")
	private List<String> includeIds;

	@ApiModelProperty(value = "排除的明细id列表")
	private List<String> excludeIds;

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public List<String> getIncludeIds() {
		return includeIds;
	}

	public void setIncludeIds(List<String> includeIds) {
		this.includeIds = includeIds;
	}

	public List<String> getExcludeIds() {
		return excludeIds;
	}

	public void setExcludeIds(List<String> excludeIds) {
		this.excludeIds = excludeIds;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getSrcAsnHeaderId() {
		return srcAsnHeaderId;
	}

	public void setSrcAsnHeaderId(String srcAsnHeaderId) {
		this.srcAsnHeaderId = srcAsnHeaderId;
	}

	public String getRcvStockStatus() {
		return rcvStockStatus;
	}

	public void setRcvStockStatus(String rcvStockStatus) {
		this.rcvStockStatus = rcvStockStatus;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

}
